=== debian/changelog ===
openio-sds-librain (1.0.0-1) xenial; urgency=medium

  * New upstream release

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 31 Mar 2016 17:14:12 +0000

openio-sds-librain (0.9.1-1) xenial; urgency=medium

  * Initial release

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 06 Oct 2015 15:13:16 +0000
