=== debian/control ===
Source: openio-sds-librain
Priority: optional
Maintainer: Romain Acciari <romain.acciari@openio.io>
Build-Depends: debhelper (>= 9), libjerasure-dev, cmake, libjerasure2, libgf-complete-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/open-io/librain
#Vcs-Git: git://anonscm.debian.org/collab-maint/openio-sds-librain.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/openio-sds-librain.git;a=summary

Package: openio-sds-librain-dev
Section: libdevel
Architecture: any
Depends: openio-sds-librain (= ${binary:Version}), ${misc:Depends}
Description: Devel files for rain library for OpenIO SDS solution
 Header files for a Library in C/C++ Facilitating Erasure Coding for Storage Applications.

Package: openio-sds-librain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rain library for OpenIO SDS solution
 A Library in C/C++ Facilitating Erasure Coding for Storage Applications.
